import request from "@/scripts/httpRequest";

export const getHelemtData = (data: any) => {
    return request({
        url: "/iotdata/devices",
        method: "post",
        data
    })
}

export const sendAudio = (id,data: any) => {
    return request({
        url: `/iotdata/audio/?sn=${id}`,
        method: "post",
        data
    })
}

export const getBanner = () => {
    return request({
        url: `/iotdata/banner-info`,
        method: "get",
    })
}

export const getChart = () => {
    return request({
        url: `/iotdata/seven-day`,
        method: "get",
    })
}

export const lowBattery = () => {
    return request({
        url: `/iotdata/low-battery`,
        method: "post",
    })
}

export const outBound = () => {
    return request({
        url: `/iotdata/out-bound`,
        method: "post",
    })
}

export const historyWarn = () => {
    return request({
        url: `/iotdata/history`,
        method: "post",
    })
}

export const handleWarn = (data) => {
    return request({
        url: `/iotdata/handle-warn`,
        method: "post",
        data
    })
}

export const getZones = (data) => {
    return request({
        url: `/iotdata/zones`,
        method: "post",
        data
    })
}

export const createZones = (data) => {
    return request({
        url: `/iotdata/create-zone`,
        method: "post",
        data
    })
}

export const delZones = (data) => {
    return request({
        url: `/iotdata/del-zone`,
        method: "post",
        data
    })
}